<form autocomplete='off'>
  <fieldset class='formula'>
    <legend>{{localize 'SWADE.RollNoun'}}</legend>
    <div class='input' role='textbox'>{{baseDice}}</div>
  </fieldset>
  {{#if isTraitRoll}}
    <fieldset class='flexrow'>
      <legend>{{localize 'SWADE.MAPenalty.Label'}}</legend>
      <input
        type='radio'
        id='map-none'
        name='map'
        value='0'
        data-dtype='Number'
        checked
      />
      <label for='map-none'>{{localize 'SWADE.MAPenalty.None'}}</label>
      <input
        type='radio'
        id='map-2'
        name='map'
        value='-2'
        data-dtype='Number'
      />
      <label for='map-2'>-2</label>
      <input
        type='radio'
        id='map-4'
        name='map'
        value='-4'
        data-dtype='Number'
      />
      <label for='map-4'>-4</label>
    </fieldset>
  {{/if}}
  <fieldset>
    <legend>{{localize 'SWADE.Modifiers'}}</legend>
    <header class='modifier-entry header'>
      <div>{{localize 'SWADE.Name'}}</div>
      <div>{{localize 'SWADE.Mod.Value'}}</div>
      <div>{{localize 'SWADE.Mod.Ignore'}}</div>
    </header>
    <ul class='modifiers'>
      {{#each modifiers}}
        <li class='modifier-entry'>
          <div>{{label}}</div>
          <div>{{value}}</div>
          <input
            type='checkbox'
            data-index={{@index}}
            name='modifiers.{{@index}}.ignore'
            {{checked ignore}}
          />
        </li>
      {{else}}
        <li class='empty-hint no-modifiers'>{{localize 'SWADE.Mod.None'}}</li>
      {{/each}}
    </ul>
    <div class='modifier-entry footer'>
      <input
        type='text'
        class='new-modifier-label'
        placeholder='{{localize "SWADE.Name"}}'
        list='modifier-names'
      />
      <input
        type='text'
        class='new-modifier-value'
        placeholder='{{localize "SWADE.RollExample"}}'
        list='modifier-values'
      />
      <button
        type='button'
        class='add-modifier'
        title='{{localize "SWADE.Mod.Custom.Add"}}'
      >
        <i class='fa fa-plus'></i>&nbsp;{{localize 'SWADE.Add'}}
      </button>
    </div>
    <div class='presets'>
      <button type='button' class='toggle-list'>
        <i class='fas fa-caret-right'></i>
        {{localize 'SWADE.Mod.Preset.Choose'}}
      </button>
      <div class='dropdown' role='listbox' style='display: none;'>
        <input
          class='searchBox'
          type='text'
          placeholder='{{localize "FILES.Search"}}'
          role='searchbox'
          autocomplete='off'
        />
        <ol class='selections'>
          {{#each modGroups as |group|}}
            <li class='group-header'>{{group.name}}</li>
            {{#each group.modifiers}}
              <li class='modifier'>
                <button
                  type='button'
                  class='add-preset'
                  data-group='{{group.name}}'
                  data-index={{@index}}
                >
                  {{label}}
                </button>
              </li>
            {{/each}}
          {{/each}}
        </ol>
      </div>
    </div>
  </fieldset>
  <fieldset class='formula'>
    <legend>{{localize 'SWADE.Formula'}}</legend>
    <div class='input' role='textbox'>{{formula}}</div>
  </fieldset>
  <div class='form-group'>
    <label>{{localize 'SWADE.RollMode'}}</label>
    <select id='rollMode' name='rollMode'>
      {{#select rollMode}}
        {{#each rollModes as |label mode|}}
          <option value='{{mode}}'>{{localize label}}</option>
        {{/each}}
      {{/select}}
    </select>
  </div>
  <footer class='flexrow'>
    <button type='button' class='submit-roll'>
      <i class='fas fa-dice'></i>
      {{localize 'SWADE.Roll'}}
    </button>
    {{#if displayExtraButton}}
      <button type='button' class='submit-roll' data-type='extra'>
        <i class='far fa-plus-square'></i>
        {{extraButtonLabel}}
      </button>
    {{/if}}
    <button type='button' id='close'>
      <i class='fas fa-times'></i>
      {{localize 'Close'}}
    </button>
  </footer>
</form>
<datalist id='modifier-names'>
  <option value='{{localize "SWADE.Mod.Support"}}'></option>
  <option value='{{localize "SWADE.Addi"}}'></option>
  <option value='{{localize "SWADE.Encumbered"}}'></option>
</datalist>
<datalist id='modifier-values'>
  <option value='+1d6x'></option>
  <option value='+1'></option>
  <option value='+2'></option>
  <option value='+4'></option>
  <option value='-1'></option>
  <option value='-2'></option>
  <option value='-4'></option>
</datalist>